/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.ArrayList;
import java.util.Observable;

/**
 * Clase organizacion, clase que crea una organizacion
 * @author MW3 Software
 */
public class Organizacion extends Observable{
    
    /**
     * Nombre de la Organizacion
     */
    private String nombre;
    /**
     * Autores que han creado la organizacion
     */
    private String Autores;
    /**
     * Fuentes de informacion
     */
    private String Fuentes;
    /**
     *  Direccion de la Organizacion
     */
    private String direccion;
    /**
     *  Telefono de la Organizacion
     */
    private int telefono;
    /**
     *  Fax de la Organizacion
     */
    private int fax;
    /**
     *  Comentarios de la Organizacion
     */
    private String comentarios;



    /**
     * Metodo que devuelve el nombre
     * @return devuelve el nombre de la Organizacion
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * Metodo que almacena el nombre
     * @param nombre Nuevo valor de nombre de Organazicion
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    
    /**
     * Metodo que devuelve la direccion
     * @return devuelve la direccion de la Organizacion
     */
    public String getDireccion() {
        return direccion;
    }

    /**
     * Metodo que almacena la direccion
     * @param direccion Nuevo valor de direccion de Organazicion
     */
    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    /**
     * Metodo que devuelve el telefono
     * @return devuelve el telefono de la Organizacion
     */
    public int getTelefono() {
        return telefono;
    }

    /**
     * Metodo que almacena el telefono
     * @param telefono Nuevo valor de telefono de Organazicion
     */
    public void setTelefono(int telefono) {
        this.telefono = telefono;
    }

    /**
     * Metodo que devuelve el fax
     * @return devuelve el fax de la Organizacion
     */
    public int getFax() {
        return fax;
    }

    /**
     * Metodo que almacena el fax
     * @param fax Nuevo valor de fax de Organazicion
     */
    public void setFax(int fax) {
        this.fax = fax;
    }

    /**
     * Metodo que devuelve el comentario
     * @return devuelve el comentario de la Organizacion
     */
    public String getComentarios() {
        return comentarios;
    }

    /**
     * Metodo que almacena el comentario
     * @param comentarios Nuevo valor de comentario de Organazicion
     */
    public void setComentarios(String comentarios) {
        this.comentarios = comentarios;
    }

    /**
     * Metodo que devuelve los autores
     * @return devuelve los autores de la Organizacion
     */
    public String getAutores() {
        return Autores;
    }

    /**
     * Metodo que almacena los autores
     * @param Autores Nuevo valor de autores de Organazicion
     */
    public void setAutores(String Autores) {
        this.Autores = Autores;
    }

    /**
     * Metodo que devuelve las fuentes
     * @return devuelve las fuentes de la Organizacion
     */
    public String getFuentes() {
        return Fuentes;
    }

    /**
     * Metodo que almacena las fuents
     * @param Fuentes Nuevo valor de fuentes de Organazicion
     */
    public void setFuentes(String Fuentes) {
        this.Fuentes = Fuentes;
    }

}
